Zip multiple assets
POST
/api/assets/zip/{configId}
const url = 'https://example.com/api/assets/zip/example';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '["asset-123","asset-456","asset-789"]'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/assets/zip/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '[ "asset-123", "asset-456", "asset-789" ]'Creates a ZIP archive containing multiple assets by their IDs. Returns the ZIP file for download.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”configId
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
Array of asset IDs to zip together
Array<string>
Example
[ "asset-123", "asset-456", "asset-789"]Responses
Section titled “Responses”ZIP file containing requested assets
Media typeapplication/zip
string format: binary
Error zipping assets
Media typeapplication/json
object
error
required
Indicates an error occurred
boolean
message
required
Error message describing what went wrong
string
Example
{ "error": true, "message": "Item not found"}Path not found
Media typeapplication/json
object
error
required
Indicates an error occurred
boolean
message
required
Error message describing what went wrong
string
Example
{ "error": true, "message": "Item not found"}